<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<?php
require('script/config.php5');
require('script/Dao.class.php5');
require('script/GoogleMap.class.php5');
require('script/YahooWeatherFeedParser.class.php5');

define('MOMENTEEL', 'momenteel');
define('VANDAAG', 'vandaag');
define('MORGEN', 'morgen');

$dao = new Dao($config['database.server'], $config['database.user'], $config['database.password'], $config['database.schema']);
$cityList = $dao->findAllCities();

$useCurrentCondition = true;
$menuItem = MOMENTEEL;
$dateToUse = null;
if (isset($_GET['dag']) && $_GET['dag'] == VANDAAG) {
  $menuItem = VANDAAG;
  $useCurrentCondition = false;
  $dateToUse = date('Y-m-d');
} else if (isset($_GET['dag']) && $_GET['dag'] == MORGEN) {
  $menuItem = MORGEN;
  $useCurrentCondition = false;
  $dateToUse = date('Y-m-d', mktime (0, 0, 0, date('m'), date('d') + 1, date('Y')));
} else {
  $menuItem = MOMENTEEL;
  $useCurrentCondition = true;
  $dateToUse = date('Y-m-d');
}

?>
<html>
	<head>
		<title>Pien | Het weer in Belgi&euml;</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<link rel="stylesheet" type="text/css" media="screen" href="styles/screen.css" />
		<?php
		GoogleMap::includeJs('ABQIAAAAQGRpJzMCIkFEuUs1XoedqBS2YpKr_g2o1veIfdRagxInm5SOPBSFqV4tbwncZepBFhe-dgZNhKyURg');
		?>
		<script src="script/gmap.js" type="text/javascript"></script>
		<script type="text/javascript">
			//<![CDATA[
			function load() {
				if (GBrowserIsCompatible()) {
					var map = new GMap2(document.getElementById("map"));
					map.setCenter(new GLatLng(50.6, 4.37), 8);
					<?php
					foreach($cityList as $city) {
					  $condition = NULL;
					  $forecast = NULL;
					  if ($useCurrentCondition) {
					    $condition = $dao->findCurrentCondition($city->getId(), $dateToUse);
					  } else {
					    $forecast = $dao->findForecast($city->getId(), $dateToUse);
					  }
					  if ($forecast != NULL || $condition != NULL) {
						  $code = getWeatherIcon($useCurrentCondition ? $condition->getCode() : $forecast->getCode());
						  if ($condition != NULL) {
						  ?>
	  					  map.addOverlay(new TemperatureBox(<?php echo $city->getLatitude();?>, <?php echo $city->getLongitude();?>, <?php echo $condition->getTemperature();?>));
	  					  <?php
	  					  } else if ($forecast != NULL) {
						  ?>
	  					  map.addOverlay(new TemperatureBox(<?php echo $city->getLatitude();?>, <?php echo $city->getLongitude();?>, <?php echo $forecast->getTemperatureMin();?>, <?php echo $forecast->getTemperatureMax();?>));
						  <?php
						  }
						  ?>
						  map.addOverlay(createCityMarker(<?php echo $city->getLatitude();?>, <?php echo $city->getLongitude();?>, <?php echo $code;?>));
						  <?php
					  }
					}
					?>
				}
    		}
			//]]>
		</script>
	</head>
	<body onload="load()" onunload="GUnload()">
		<div id="header">
			<h1><span>Pien</span></h1>
			<ul>
				<li><a <?php if ($menuItem == MOMENTEEL) { echo 'id="current" '; }?>href="index.php5?dag=momenteel">momenteel</a></li>
				<li><a <?php if ($menuItem == VANDAAG) { echo 'id="current" '; }?>href="index.php5?dag=vandaag">vandaag</a></li>
				<li><a <?php if ($menuItem == MORGEN) { echo 'id="current" '; }?>href="index.php5?dag=morgen">morgen</a></li>
			</ul>
		</div>
		<div id="content">
			<div id="map">
			</div>
		</div>
		<div id="footer">
			<div id="locations">
				<h2>Locaties</h2>
				<ul>
	      			<?php
					foreach ($cityList as $city) {
						?>
						<li><?php echo $city->getName()?></li>
						<?php
					}
					?>
				</ul>
			</div>
			<div id="info">
				<h2>Informatie</h2>
				<p>
				De map bovenaan toont de huidige weersomstandigheden en de voorspellingen voor vandaag en morgen.
				Het is een combinatie van <a href="http://www.google.com/maps" title="Google Maps">Google Maps</a> en
				<a href="http://weather.yahoo.com/" title="Yahoo! Weather">Yahoo! Weather</a>.
				</p>
				<p>
				De naam? <a href="http://nl.wikipedia.org/wiki/Armand_Pien" title="Armand Pien | Wikipedia">Armand Pien</a>.
				</p>
			</div>
			<div id="credits">
				<a href="http://weather.yahoo.com/" title="Yahoo! Weather"><img src="styles/images/yahoo.png" class="button" alt="Yahoo! Weather" title="Yahoo! Weather" /></a>
				<a href="http://www.google.com/maps" title="Google Maps"><img src="styles/images/google.png" class="button" alt="Google Maps" title="Google Maps" /></a>
				<a href="http://www.el73.be/" title="el73"><img src="styles/images/el73.png" class="button" alt="el73" title="el73" /></a>
			</div>
		</div>
	</body>
</html>