<?php
require_once('YahooWeatherCondition.class.php5');
require_once('YahooWeatherForecast.class.php5');

class YahooWeatherFeedParser {
  
  private $parser;

  private $condition;
  
  private $forecasts; 
  
  public function getCondition() {
    return $this->condition;
  }  
  
  public function getForecasts() {
    return $this->forecasts;
  }
  
  public function parse($feed) {
    $this->parser = xml_parser_create();
	xml_set_object($this->parser, $this);
    xml_set_element_handler($this->parser, 'startElement', 'endElement');
    xml_parse($this->parser, $feed);
    xml_parser_free($this->parser);
  }
  
  protected function startElement($parser, $name, $atts) {
    if (strcmp('YWEATHER:CONDITION', $name) == 0) {
	  $this->condition = new YahooWeatherCondition();
	  $this->condition->setDescription($atts['TEXT']);
	  $this->condition->setCode($atts['CODE']);	  
 	  $this->condition->setTemperature($atts['TEMP']);
 	  $date = $atts['DATE'];
 	  $date = date('Y-m-d',strtotime($date));
 	  $this->condition->setDate($date);
	} else if (strcmp('YWEATHER:FORECAST', $name) == 0) {
	  $date = $atts['DATE'];
 	  $date = $this->getDate($date);
	  $this->forecasts[$date] = new YahooWeatherForecast();
	  $this->forecasts[$date]->setDay($atts['DAY']);
	  $this->forecasts[$date]->setDate($date);	  
	  $this->forecasts[$date]->setTemperatureMin($atts['LOW']);	  
	  $this->forecasts[$date]->setTemperatureMax($atts['HIGH']);
	  $this->forecasts[$date]->setDescription($atts['TEXT']);	  	  
	  $this->forecasts[$date]->setCode($atts['CODE']);	  	  
	}
  }
  
  protected function endElement($parser, $name) {
	// Nothing to do.
  }
  
  private function getDate($date) {
    list($day, $month, $year) = sscanf($date, '%d %s %d');
    $numericMonth = 1;
	for (/* */; $numericMonth < 13; ++$numericMonth) {
	  if (strcmp($month, date('M', mktime(0, 0, 0, $numericMonth, 1, 2006))) == 0) {
	    break;
	  }
	}
	return date('Y-m-d', mktime(0, 0, 0, $numericMonth, $day, $year));
  }
  
  private function getAndClearCharacters() {
    $safe = $this->characterData;
    $this->characterData = '';
    return $safe;
  }
  
}

?>