function createCityMarker(lat, longitude, iconUrl) {
  var point = new GLatLng(lat, longitude);
  var marker = null;
  if (iconUrl != null) {
    var icon = new GIcon();
    icon.image = iconUrl;
	icon.iconSize = new GSize(64, 40);
	icon.iconAnchor = new GPoint(6, 20);
	icon.infoWindowAnchor = new GPoint(5, 1);
	marker = new GMarker(point, icon);				  
  } else {
	marker = new GMarker(point);   
  }
  return marker;
}

function TemperatureBox(latitude, longitude, min, max) {
  this.latitude_ = latitude;
  this.longitude_ = longitude;
  this.min_ = min;
  this.max_ = max;
}

TemperatureBox.prototype = new GOverlay();

TemperatureBox.prototype.initialize = function(map) {
  var div = document.createElement('div');
  if (this.max_ == null) {
    div.className = 'temperature';
    div.appendChild(document.createTextNode(this.min_));
  } else {
    div.className = 'temperature-min-max';
    var minSmall = document.createElement('small');
    minSmall.appendChild(document.createTextNode(this.min_));
    var maxLarge = document.createElement('div');
    maxLarge.appendChild(document.createTextNode(this.max_));
    div.appendChild(maxLarge);    
    div.appendChild(minSmall);        
  }
  var c = map.fromLatLngToDivPixel(new GLatLng(this.latitude_, this.longitude_));
  div.style.left = (c.x - 30) + "px";
  div.style.top = (c.y - 5) + "px";
  map.getPane(G_MAP_MAP_PANE).appendChild(div);
  this.map_ = map;
  this.div_ = div;
}

TemperatureBox.prototype.remove = function() {
  this.div_.parentNode.removeChild(this.div_);
}

TemperatureBox.prototype.copy = function() {
  return new TemperatureBox(this.latitude_, this.longitude_, this.min_, this.max_);
}

TemperatureBox.prototype.redraw = function(force) {
  if (!force) return;
}

