<?php

require('config.php5');
require('Dao.class.php5');
require('YahooWeatherFeedParser.class.php5');

define('TEMPERATURE_UNIT', 'c');

$dao = new Dao($config['database.server'], $config['database.user'], $config['database.password'], $config['database.schema']);
$cityList = $dao->findAllCities();
foreach ($cityList as $city) {
  echo '<p>Retrieving Yahoo! Weather feed for '.$city->getName().'</p>';
  $feed = file_get_contents('http://xml.weather.yahoo.com/forecastrss?p='.$city->getYahooFeedLocation().'&u='.TEMPERATURE_UNIT);
  echo '<p>Parsing feed for '.$city->getName().'</p>';
  $parser = new YahooWeatherFeedParser();
  $parser->parse($feed);
  $condition = $parser->getCondition();
  if ($condition != NULL) {
    echo '<p>Storing current conditions for '.$city->getName().'</p>';
  	$dao->storeCurrentCondition($city->getId(), $condition);    
  }
  $forecasts = $parser->getForecasts();
  if ($forecasts != NULL) {
    foreach($forecasts as $forecast) {
	  echo '<p>Storing forecast for '.$city->getName().'</p>';      
	  $dao->storeForecast($city->getId(), $forecast);
	}
  }
}

?>